<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns="http://www.w3.org/1999/xhtml">

<!-- Generic resources fragment-->
<div th:replace="fragments/header :: head (pageTitle = #{register.title})" th:remove="tag">
    <h1>Aquí va el contingut del head amb els metas i els css</h1>
</div>

</head>
<body>
<!-- Header fragment -->
<div th:replace="fragments/header :: header" th:remove="tag">
    <h1>Aquí va el contingut del header amb el seu menu</h1>
</div>

<!-- Page top section -->
<section class="page-top-section set-bg" th:attr="data-setbg=@{/img/header-bg/2.jpg}" data-setbg="img/header-bg/2.jpg">
    <div class="container">
        <h2 th:text="#{combat.title}">Títol del combat</h2>
    </div>
</section>
<!-- Page top section end -->

<!-- Blog section -->
<section class="blog-section spad">
    <div  class="container">
        <form class="comment-form" method="post" th:action="@{/combats}">
        <div class="row">

            <div class="col-sm">
                <div class="row">
                    <h2 th:text="#{combat.fighter}">combat.fighter</h2>
                </div>
                <div th:replace="fragments/formComponents :: charsDropDown" th:remove="tag"></div>
            </div>
            <div class="col-sm-8">
                <div class="row">
                    <h2 th:text="#{combat.enemy}">combat enemy</h2>
                </div>
                <table id="enemy" class="table table-striped table-bordered" style="width:100%">
                    <thead>
                    <tr>
                        <th>NAME</th>
                        <th>ARMOR</th>
                        <th>DAMAGE</th>
                        <th>HEAL</th>
                        <th>ROLE TYPE</th>
                    </tr>
                    </thead>
                    <tfoot>
                    <tr>
                        <th>NAME</th>
                        <th>ARMOR</th>
                        <th>DAMAGE</th>
                        <th>HEAL</th>
                        <th>ROLE TYPE</th>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <button id="startCombat" disabled class="site-btn" th:text="#{combat.startCombat.button}">combat.startCombat.button</button>
            </div>
        </div>
        <input id="idEnemy" name="idEnemy" type="hidden">
    </form>
    </div>

</section>

<!-- footer fragment -->
<div th:replace="fragments/footer :: footer" th:remove="tag">
    <h1>Aquí la informació del footer</h1>
</div>

<!-- Generic Scripts fragment -->
<div th:replace="fragments/header :: scripts" th:remove="tag">
    <h1>Aquí posem els javascripts</h1>
</div>
<div>
    <!--====== Javascripts & Jquery Local ======-->
    <script th:src="@{/js/combat/init.js}" src="js/combat/init.js"></script>
</div>

<script type="text/javascript">
    $(document).ready(function() {
        table = $('#enemy').DataTable( {
            "ajax": {
                url: "/api/character",
                dataSrc: ''
            },
            "sPaginationType": "full_numbers",
            "columnDefs": [
                {
                "targets": [ 1, 2, 3 ],
                "className": 'dt-right'
                },
                {
                "targets": [ 0, 4 ],
                "className": 'dt-left'
                }
            ],
            "columns": [
                { "data": "name"},
                { "data": "armadura" },
                { "data": "mal" },
                { "data": "heal" },
                { "data": "roleType.name"}
            ]
        } );
        $('#enemy tbody').on( 'click', 'tr', function () {
            if ( $(this).hasClass('selected') ) {
                $(this).removeClass('selected');
            } else { table.$('tr.selected').removeClass('selected');
                $(this).addClass('selected');
            }
            $('#idEnemy').val(table.row( this ).data().id);
            $('#startCombat').removeAttr('disabled');
        });
    } );
</script>

</body>
</html>
